Merge branch 'master' of github.com:cycojesus/slackbuilds

This commit is contained in:
Gwenhael Le Moine 2010-07-12 10:00:15 +07:00
commit bb4d265901
14 changed files with 412 additions and 69 deletions

View file

@ -2,7 +2,7 @@
set -x
PRGNAM=laptop-mode-tools
VERSION=1.53
VERSION=1.55
BUILD=1

Binary file not shown.

Binary file not shown.

Binary file not shown.

Binary file not shown.

214
ap/chrpath/chrpath.SlackBuild Executable file
View file

@ -0,0 +1,214 @@
#!/bin/sh
#-- chrpath for Slackware --
# Build script by Phantom X <megaphantomx@bol.com.br>
# Suggested usage: $ chrpath.SlackBuild 2>&1 | tee build.log
#--
# Copyright 2008, 2009, 2010 Phantom X, Goiania, Brazil.
# Copyright 2006 Martijn Dekker, Groningen, Netherlands.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR `AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# ftp://ftp.hungry.com/pub/hungry/chrpath/
PACKAGER_ID=cyco
PACKAGER=${PACKAGER:-$USER@$HOSTNAME}
# Set YES for native build with gcc >= 4.2
SB_NATIVE=${SB_NATIVE:-YES}
# Set to YES to replicate slackbuild and patches
SB_REP=${SB_REP:-YES}
CWD=$(pwd)
TMP=${TMP:-/tmp}
if [ ! -d ${TMP} ]; then
mkdir -p ${TMP}
fi
NAME=chrpath
PKG=${PKG:-${TMP}/package-${NAME}}
VERSION=${VERSION:-0.13}
if [ "${SB_NATIVE}" = "YES" ] ;then
ARCH=${ARCH:-$(uname -m)}
else
ARCH=${ARCH:-i686}
fi
if [ "${ARCH}" = "x86_64" ] ;then
SLKTARGET=${SLKTARGET:-x86_64}
else
SLKTARGET=${SLKTARGET:-i486}
fi
SLKDTARGET=${SLKDTARGET:-slackware}
BUILD=${BUILD:-5}
NJOBS=${NJOBS:-$(( $(getconf _NPROCESSORS_ONLN) + 1 ))}
DOCDIR=${PKG}/usr/doc/${NAME}-${VERSION}
SBDIR=${PKG}/usr/src/slackbuilds/${NAME}
PKGDEST=${PKGDEST:-${CWD}}
PKGFORMAT=${PKGFORMAT:-txz}
PKGNAME=${NAME}-$(echo ${VERSION} | tr - . )-${ARCH}-${BUILD}${PACKAGER_ID}
DATE=$(LC_ALL=C date +%d-%b-%Y)
SRCDIR=${NAME}-${VERSION}
SRCARCHIVE=${SRCDIR}.tar.gz
DL_PROG=${DL_PROG:-wget}
DL_TO=${DL_TO:-5}
DL_OPTS=${DL_OPTS:-"--timeout=${DL_TO}"}
DL_URL="ftp://ftp.hungry.com/pub/hungry/${NAME}/${SRCARCHIVE}"
FEDORACVS=fedora-cvs.sh
FEDORABRANCH=${FEDORABRANCH:-devel}
# if source is not present, download in source rootdir if possible
test -r ${CWD}/${SRCARCHIVE} || ${DL_PROG} ${DL_OPTS} ${DL_URL} \
|| sh ${CWD}/${FEDORACVS} ${NAME} ${FEDORABRANCH} ${SRCARCHIVE} || exit 1
if [ "${SB_NATIVE}" = "YES" ] ;then
SLKCFLAGS="-O2 -march=native -mtune=native ${SB_ECFLAGS} -pipe"
else
case "${ARCH}" in
i[3-6]86) SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
;;
s390) SLKCFLAGS="-O2"
;;
x86_64) SLKCFLAGS="-O2 -fPIC"
;;
esac
fi
if [ "${ARCH}" = "x86_64" ] ;then
LIBDIRSUFFIX="64"
SLKCFLAGS="${SLKCFLAGS} -fPIC"
else
LIBDIRSUFFIX=""
fi
if [ -d ${PKG} ]; then
# Clean up a previous build
rm -rf ${PKG}
fi
mkdir -p ${PKG}
cd ${TMP}
rm -rf ${SRCDIR}
tar -xvf ${CWD}/${SRCARCHIVE} || exit 1
cd ${SRCDIR} || exit 1
chmod -R u+w,go+r-w,a-s .
# zcat ${CWD}/${NAME}.patch.gz | patch -p0 -E --backup --verbose || exit 1
zcat ${CWD}/${NAME}-multilib.patch.gz | patch -p1 -E --backup --verbose || exit 1
zcat ${CWD}/${NAME}-keepgoing.patch.gz | patch -p1 -E --backup --verbose || exit 1
autoreconf -ivf || exit 1
CFLAGS="${SLKCFLAGS}" \
CXXFLAGS="${SLKCFLAGS}" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var/lib \
--infodir=/usr/info \
--mandir=/usr/man \
--disable-static \
--build=${SLKTARGET}-${SLKDTARGET}-linux || exit 1
make -j${NJOBS} || make || exit 1
make install DESTDIR=${PKG} || exit 1
rm -f ${PKG}/usr/lib*/*.la
find ${PKG} | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
# Add a documentation directory:
rm -rf ${DOCDIR}
mkdir -p ${DOCDIR}
cp -a \
AUTHORS COPYING README NEWS ChangeLog* ${CWD}/ChangeLog.SB \
${DOCDIR}/
find ${DOCDIR}/ -type d -print0 | xargs -0 chmod 0755
find ${DOCDIR}/ -type f -print0 | xargs -0 chmod 0644
# Compress and link manpages, if any:
if [ -d ${PKG}/usr/share/man ]; then
mv ${PKG}/usr/share/man ${PKG}/usr/man
fi
if [ -d ${PKG}/usr/man ]; then
( cd ${PKG}/usr/man
for manpagedir in $(find . -type d -name "man*") ; do
( cd ${manpagedir}
for eachpage in $( find . -type l -maxdepth 1) ; do
ln -s $( readlink ${eachpage} ).gz ${eachpage}.gz
rm ${eachpage}
done
gzip -9 *.?
)
done
)
fi
mkdir -p ${PKG}/install
cat ${CWD}/slack-desc > ${PKG}/install/slack-desc
cat ${CWD}/slack-required > ${PKG}/install/slack-required
sed -i "s|_PACKAGER|${PACKAGER}|g; s|_BUILD_DATE|${DATE}|g" \
${PKG}/install/slack-desc
if [ "${SB_REP}" = "YES" ] ;then
# Replicate slackbuild and patches
mkdir -p ${SBDIR}
install -m0644 ${CWD}/slack-desc ${CWD}/slack-required ${CWD}/ChangeLog.SB \
${CWD}/${FEDORACVS} ${CWD}/${NAME}-*.patch.gz ${SBDIR}/
install -m0755 ${CWD}/${NAME}.SlackBuild \
${SBDIR}/${NAME}.SlackBuild
fi
# Build package:
set +o xtrace # no longer print commands upon execution
ROOTCOMMANDS="set -o errexit -o xtrace ; cd ${PKG} ;
/bin/chown --recursive root:root . ;"
ROOTCOMMANDS="${ROOTCOMMANDS}
/sbin/makepkg --linkadd y --chown n ${PKGDEST}/${PKGNAME}.${PKGFORMAT} "
if test ${UID} = 0; then
eval ${ROOTCOMMANDS}
set +o xtrace
elif test "$(type -t fakeroot)" = 'file'; then
echo -e "\e[1mEntering fakeroot environment.\e[0m"
echo ${ROOTCOMMANDS} | fakeroot
else
echo -e "\e[1mPlease enter your root password.\e[0m (Consider installing fakeroot.)"
/bin/su -c "${ROOTCOMMANDS}"
fi
# Clean up the extra stuff:
if [ "$1" = "--cleanup" ]; then
echo "Cleaning..."
if [ -d ${TMP}/${SRCDIR} ]; then
rm -rf ${TMP}/${SRCDIR} && echo "${TMP}/${SRCDIR} cleanup completed"
fi
if [ -d ${PKG} ]; then
rm -rf ${PKG} && echo "${PKG} cleanup completed"
fi
rmdir ${TMP} && echo "${TMP} cleanup completed"
fi
exit 0

92
ap/chrpath/fedora-cvs.sh Executable file
View file

@ -0,0 +1,92 @@
#!/bin/bash
# -- fedora-cvs.sh --
# Retrieve sources from Fedora cvs.
#
# Script by Phantom X <megaphantomx@bol.com.br>
# Suggested usage: $ fedora-cvs package dist
#
# Copyright 2008 Phantom X, Goiania, Brazil.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR `AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
set -e
module="${1}"
dist="${2}"
[ -n "${3}" ] && sarchive="${3}"
fedoraroot=":pserver:anonymous@cvs.fedoraproject.org:/cvs/pkgs"
txt() {
echo "Usage: $0 module dist"
echo "module is package name"
echo "dist is Fedora version (F-??/devel)"
echo
echo "In case of other errors, try to download in a Fedora mirror or change file format extension."
}
txt2() {
echo "Select correct dist: F-8, F-9, F-10, F11, F-12, F-13 or devel"
}
if [ -z "${module}" ] ;then
txt
exit 1
fi
case "${2}" in
F-8|F-9|F-10|F-11|F-12|F-13|devel)
dist="${2}"
;;
*)
txt2
exit 1
;;
esac
echo "Downloading from ${module}/${dist}"
tmp=$(mktemp -d)
trap cleanup EXIT
cleanup() {
set +e
[ -z "${tmp}" -o ! -d "${tmp}" ] || rm -rf "${tmp}"
}
unset CDPATH
pwd=$(pwd)
pushd "${tmp}"
export CVSROOT="${fedoraroot}"
cvs co ${module}/${dist}/
cd ${module}/${dist}
if [ -f "${sarchive}" ] ;then
mv "${sarchive}" "${pwd}"/
else
if [ -n "${sarchive}" ] ;then
mv sources sources.tmp
grep "${sarchive}" sources.tmp > sources
fi
make sources
for source in $(awk '{print $2}' sources) ;do
mv "${source}" "${pwd}"/
done
fi
popd >/dev/null

12
ap/chrpath/slack-desc Normal file
View file

@ -0,0 +1,12 @@
chrpath|-----handy-ruler------------------------------------------------------|
chrpath: chrpath (Modify rpath of compiled programs)
chrpath:
chrpath: chrpath allows you to modify the dynamic library load path (rpath) of
chrpath: compiled programs. Currently, only removing and modifying the rpath
chrpath: is supported.
chrpath:
chrpath: ftp://ftp.hungry.com/pub/hungry/chrpath/
chrpath:
chrpath:
chrpath: Packager: _PACKAGER on _BUILD_DATE
chrpath:

View file

View file

@ -55,17 +55,17 @@ cp -R $REPOSITORY $TMP/$APP_NAME-$VERSION
make install-info
rm $PKG$PREFIX/info/dir
# install contrib
cp -R contrib/lisp $PKG$PREFIX/share/emacs/site-lisp/org-mode-contrib
# install org-babel
cp -R contrib/babel/lisp $PKG$PREFIX/share/emacs/site-lisp/org-mode-contrib/babel
# # install contrib
# cp -R contrib/lisp $PKG$PREFIX/share/emacs/site-lisp/org-mode-contrib
# # install org-babel
# cp -R contrib/babel/lisp $PKG$PREFIX/share/emacs/site-lisp/org-mode-contrib/babel
( cd $PKG$PREFIX/share/emacs/site-lisp/org-mode-contrib
emacs -batch -f batch-byte-compile-file *.el
)
( cd $PKG$PREFIX/share/emacs/site-lisp/org-mode-contrib/babel
emacs -batch -f batch-byte-compile-file *.el
)
# ( cd $PKG$PREFIX/share/emacs/site-lisp/org-mode-contrib
# emacs -batch -f batch-byte-compile-file *.el
# )
# ( cd $PKG$PREFIX/share/emacs/site-lisp/org-mode-contrib/babel
# emacs -batch -f batch-byte-compile-file *.el
# )
mkdir -p $PKG$PREFIX/doc/$APP_NAME
cp -R contrib $PKG$PREFIX/doc/$APP_NAME
)

80
e/smex/smex.SlackBuild Executable file
View file

@ -0,0 +1,80 @@
#!/bin/sh -x
# variables
VERSION=master_$(date +"%Y.%m.%d_%H:%M")
BUILD=1
PACKAGER=cyco
TMP=/tmp
CWD=$(pwd)
PRGNAM=$(basename $CWD)
PKG=$TMP/$PACKAGER/pkg-$PRGNAM
ARCH=$(uname -m)
REPOSITORY=/home/cycojesus/projets/packages/repositories/$PRGNAM
PREFIX=/usr
EMACS=$(basename $(ls /usr/bin/emacs-2*))
EMACS_VERSION=$(echo "$EMACS" | grep -o "\-[0-9\.]*\-" | tr -d - | head -n1)
# nettoyage préalable
rm -fr $PKG $TMP/$PRGNAM-$VERSION
mkdir -p $PKG
# mise en place
cd $TMP
if [ ! -e $REPOSITORY ] ; then
mkdir -p $(dirname $REPOSITORY)
cd $(dirname $REPOSITORY)
git clone "http://github.com/nonsequitur/smex.git" $PRGNAM
fi
( cd $REPOSITORY
git pull
)
mkdir -p $PKG$PREFIX/share/emacs/site-lisp
cp -R $REPOSITORY $PKG$PREFIX/share/emacs/site-lisp
( cd $PKG$PREFIX/share/emacs/site-lisp/$PRGNAM
rm -fr .git*
mkdir -p $PKG$PREFIX/doc/$PRGNAM
mv README* $PKG$PREFIX/doc/$PRGNAM
$EMACS -batch -f batch-byte-compile *.el
)
# correction
( cd $PKG
chown -R root:root *
)
# embaumement
mkdir -p $PKG/install
cat <<EOF > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
$PRGNAM: $PRGNAM (Emacs' M-x enhancement)
$PRGNAM:
$PRGNAM:
$PRGNAM:
$PRGNAM:
$PRGNAM:
$PRGNAM:
$PRGNAM: http://www.emacswiki.org/emacs/Smex
$PRGNAM:
$PRGNAM: http://github.com/nonsequitur/smex/
$PRGNAM:
EOF
# empaquetage
cd $PKG
makepkg -l y -c n $TMP/$PRGNAM-$VERSION-$ARCH-$BUILD$PACKAGER.txz

View file

@ -5,7 +5,7 @@
# Released under the WTFPL
PRGNAM=newsbeuter
VERSION=${VERSION:-2.2}
VERSION=${VERSION:-2.3}
ARCH=${ARCH:-$(uname -m)}
BUILD=${BUILD:-1}
TAG=${TAG:-cyco}

View file

@ -1,4 +1,4 @@
#!/bin/sh
#!/bin/sh
set -x
@ -54,7 +54,7 @@ function get_build_install() {
get_build_install $PRGNAM
get_build_install sur
get_build_install sublets
# get_build_install subtly
get_build_install subtly
mkdir -p $PKG/etc/X11/xinit/
cp $CWD/xinitrc.$PRGNAM $PKG/etc/X11/xinit/

View file

@ -1,55 +0,0 @@
#!/bin/sh
# SlackBuild Generic
# Généré par SismikMakeBuild
# Par Guillaume EDMOND (gedsismik@free.fr)
# 20/07/2006
CWD=`pwd`
PKG=$PWD/tgz
TMP=$PWD/tmp
PRGNAM=verbiste
VERSION=0.1.29
ARCH=$(uname -m)
BUILD=1
PACKAGER=cyco
rm -rf $PKG
mkdir -p $PKG/install
mkdir -p $PKG/usr
mkdir -p $TMP
cd $TMP
rm -rf $PRGNAM-$VERSION
tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root.root .
./configure \
--prefix=/usr \
--mandir=/usr/man \
--libdir=/usr/lib$(echo $ARCH | grep -o "\(64\)")
make
make install DESTDIR=$PKG
gzip -9 $PKG/usr/man/man?/*
gzip -9 $PKG/usr/man/fr/man?/*
chown -R root.bin $PKG/usr/bin
cat <<EOF > $PKG/install/slack-desc
$PRGNAM: $PRGNAM
$PRGNAM: $PRGNAM-sismik-package
$PRGNAM:
$PRGNAM: $PRGNAM est un syst<73>me de conjugaison fran<61>aise. Il s'agit d'une
$PRGNAM: librairie <20>crite en C++, de deux programmes aussi <20>crits en C++
$PRGNAM: qui peuvent <20>tre utilis<69>s <20> la ligne de commande ou <20> partir d'un
$PRGNAM: autre programme, et d'une applet GNOME.
$PRGNAM:
$PRGNAM:
$PRGNAM: http://perso.b2b2c.ca/sarrazip/dev/verbiste.html
$PRGNAM:
EOF
cd $PKG
makepkg -l y -c n /tmp/$PRGNAM-$VERSION-$ARCH-$BUILD$PACKAGER.txz